GET
/
stock
/
daily-fund-flows
股票日资金流向
curl --request GET \
  --url https://data-api.investoday.net/data/stock/daily-fund-flows \
  --header 'apiKey: <api-key>'
{
  "code": 0,
  "message": "success",
  "data": [
    {
      "date": "2023-10-26",
      "stockCode": "600519",
      "stockName": "贵州茅台",
      "inflowSmall": -12345678.9,
      "inflowMedium": -12345678.9,
      "inflowLarge": 12345678.9,
      "inflowXlarge": 12345678.9,
      "outflowSmall": -1234567.89,
      "outflowMedium": -125.73,
      "outflowLarge": -12345678.9,
      "outflowXlarge": -12345678.9,
      "netInflowSmall": "-12345678.90",
      "netInflowMedium": "12345.67",
      "netInflowLarge": "1200000",
      "netInflowXlarge": "12345.67",
      "netInflowRatioSmall": -0.0325,
      "netInflowRatioMedium": -0.0325,
      "netInflowRatioLarge": -0.0325,
      "netInflowRatioXlarge": -0.0325,
      "mainNetInflow": -12345.67,
      "mainNetInflowRatio": -0.0325,
      "askVolumeTotal": 56133.26,
      "bidVolumeTotal": 52335.55,
      "bidAskVolumeDiff": 3797.71,
      "controlRatio": 0.1755
    }
  ]
}

Authorizations

apiKey
string
header
required

API访问的安全令牌

Query Parameters

stockCode
string

股票代码【与pubDate组成多选多参数,必须传递其中一个至多个】

Example:

"002594"

beginDate
string

开始日期(格式yyyy-MM-dd)。 最小值:2020-01-01;

Example:

"2020-01-01"

endDate
string

结束日期(格式yyyy-MM-dd)

Example:

"2025-01-01"

pageNum
integer<int32>

页码。 最小值:1;

Example:

1

pageSize
integer<int32>

页长。 最小值:1; 最大值:500;

Example:

10

orderField
enum<string>

排序字段(默认日期) date代表日期;

mainNetInflow代表主力净流入;

Available options:
date,
mainNetInflow
Example:

"date"

orderDirection
enum<string>

排序方向(倒序) asc代表正序;

desc代表倒序;

Available options:
asc,
desc
Example:

"desc"

pubDate
string

发布日期(格式yyyy-MM-dd)【与stockCode组成多选多参数,必须传递其中一个至多个】

Example:

"2020-01-01"

Response

成功响应

code
integer<int32>

响应状态码

Example:

0

message
string

响应消息

Example:

"success"

data
object[]